org.jboss.resteasy.springmvc

## Class ResteasyHandlerAdapter

- java.lang.Object
- - org.jboss.resteasy.springmvc.ResteasyWebHandlerTemplate<org.springframework.web.servlet.ModelAndView>
  - - org.jboss.resteasy.springmvc.ResteasyHandlerAdapter

- All Implemented Interfaces:
    org.springframework.web.servlet.HandlerAdapter

      public class ResteasyHandlerAdapter
      extends ResteasyWebHandlerTemplate<org.springframework.web.servlet.ModelAndView>
      implements org.springframework.web.servlet.HandlerAdapter

  Version:
    $Revision: 1 $
  Author:
    Solomn Duskis

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ResteasyDeployment` | `deployment`

    - ### Fields inherited from class org.jboss.resteasy.springmvc.ResteasyWebHandlerTemplate

      `factory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResteasyHandlerAdapter(ResteasyDeployment deployment)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.springframework.web.servlet.ModelAndView` | `createModelAndView(BuiltResponse serverResponse)`
    `protected org.springframework.web.servlet.ModelAndView` | `createModelAndView(ResteasyRequestWrapper requestWrapper, HttpResponse response)`
    `protected org.springframework.web.servlet.View` | `createView(BuiltResponse serverResponse)`
    `long` | `getLastModified(javax.servlet.http.HttpServletRequest request, Object handler)`
    `org.springframework.web.servlet.ModelAndView` | `handle(javax.servlet.http.HttpServletRequest servletRequest, javax.servlet.http.HttpServletResponse servletResponse, Object handler)`
    `protected org.springframework.web.servlet.ModelAndView` | `handle(ResteasyRequestWrapper requestWrapper, HttpResponse response)`
    `boolean` | `supports(Object handler)`

    - ### Methods inherited from class org.jboss.resteasy.springmvc.ResteasyWebHandlerTemplate

      `handle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### deployment

          protected ResteasyDeployment deployment

  - ### Constructor Detail

    - #### ResteasyHandlerAdapter

          public ResteasyHandlerAdapter(ResteasyDeployment deployment)

  - ### Method Detail

    - #### getLastModified

          public long getLastModified(javax.servlet.http.HttpServletRequest request,
                             Object handler)

      Specified by:
        `getLastModified` in interface `org.springframework.web.servlet.HandlerAdapter`

    - #### handle

          public org.springframework.web.servlet.ModelAndView handle(javax.servlet.http.HttpServletRequest servletRequest,
                                                            javax.servlet.http.HttpServletResponse servletResponse,
                                                            Object handler)
                                                              throws Exception

      Specified by:
        `handle` in interface `org.springframework.web.servlet.HandlerAdapter`
      Throws:
        `Exception`

    - #### handle

          protected org.springframework.web.servlet.ModelAndView handle(ResteasyRequestWrapper requestWrapper,
                                                            HttpResponse response)
                                                                 throws IOException

      Specified by:
        `handle` in class `ResteasyWebHandlerTemplate<org.springframework.web.servlet.ModelAndView>`
      Throws:
        `IOException`

    - #### createModelAndView

          protected org.springframework.web.servlet.ModelAndView createModelAndView(ResteasyRequestWrapper requestWrapper,
                                                                        HttpResponse response)

    - #### createModelAndView

          protected org.springframework.web.servlet.ModelAndView createModelAndView(BuiltResponse serverResponse)

    - #### createView

          protected org.springframework.web.servlet.View createView(BuiltResponse serverResponse)

    - #### supports

          public boolean supports(Object handler)

      Specified by:
        `supports` in interface `org.springframework.web.servlet.HandlerAdapter`

Copyright © 2014. All Rights Reserved.